<!-- Plik pomocy -->
<h3>Pomoc</h3>
<div class="pomoc">Jeeli masz jakiekolwiek problemy z obsug systemu
zarzdzania tabelami, ta sekcja powinna Ci pomc. Poniej znajdziesz
odpowiedzi na najczciej zadawane pytania.

<p>Jak dodawa druyny?</p>
<div>Zarzdzanie druynami -> Wybierz lig -> Dodaj druyny. W formularzu wpisz nazwy druyn, kad w kolejnym wierszu i kliknij "Zatwierd".</div>

<p>Do czego suy skrt nazwy druyny?</p>
<div>Skrty druyn uywane s w maej tabeli. Jest to pole opcjonalne, nie trzeba go ustawia.</div>

<p>Jak dziaa skalowanie uploadowanych herbw druyn?</p>
<div>Skrypt przechowuje pliki z herbami w dwch rozmiarach - duym i maym. Po wskazaniu pliku na dysku zawierajcego herb moesz okreli jakie rozmiary ma mie kady z nich. Jezeli opcja 'skalowanie' nie zostanie zaznaczona plik zachowa swj aktualny rozmiar. Opcj 'przezroczyto' nalezy zaznaczy, jeli uploadowany plik wykorzystuje przezroczyto, co spowoduje, e zostanie ona zachowana przy zmianie jego rozmiaru. W wypadku obrazw nieprzezroczystych opcja nie robi nic.</div>

<p>W jaki sposb dopisa punkty ujemne?</p>
<div>Zarzdzanie druynami -> Wybierz lig -> Dodaj punkty ujemne. Mona uy cyfry dodatniej lub ujemnej.</div>

<p>Co to jest ulubiona druyna?</p>
<div>Ulubiona druyna zostanie podwietlona w tabeli danej ligi. Styl wyrznienia naley zmieni w pliku styli (style.css, klasa .row_ulub_druzyna).</div>

<p>Do czego suy aktualna kolejka?</p>
<div>Jest to kolejka, ktra domylnie zostanie ustawiona w polu select terminarza. Umoliwia ona te skryptowi wywietlenie nastpnej i poprzedniej kolejki. Naley wic ustawia j na ostatnio rozegran kolejk. Gdyby zdarzyo Ci si usuwa kolejk, pamitaj, aby nie zostawi aktualnej kolejki ustawionej na wczeniej usunit.</div>

<p>Do czego suy pole 'komentarz' w edycji kolejki?</p>
<div>Pole to pozwala na dodanie komentarza do danego spotkania. Umoliwia to zaznaczenie, e dany mecz np. zosta przeoony albo zosta zweryfikowany na walkower.</div>

<p>W jakim formacie wpisywa dat meczu?</p>
<div>Najszybciej chyba klikn przycisk 'K' znajdujcy obok pola daty i wybra dat z kalendarza. Format daty to <strong>yyyy-mm-dd</strong>. Pole daty jest obowizkowe tylko w wypadku, gdy chcemy skorzysta z wywietlania terminarza 'po datach'. W pozostaych przypadkach jest opcjonalne.</div>

<p>Czy mog doda spotkania kolejek bez wynikw i uzupenia je na bieco po rozegraniu?</p>
<div>Oczywycie! Mona dodawa mecze bez podawania wynikw, dat, godzin i uzupenia te dane kiedy bd ju znane. Pozwala to doda cay terminarz na pocztku rozgrywek, a potem tylko edytowa kolejki dodajc wyniki i zmienia aktualn kolejk.</div>

<p>Na czym polega importowanie meczw?</p>
<div>Importowanie meczw pozwala byskawicznie doda spotkania do skryptu, jeli dysponujemy jakim rdem terminarza np. w postaci pliku tekstowego lub tabeli arkusza kalkulacyjnego. Naley wtedy dostosowa je do obsugiwanego formatu i skopiowa do formularza. Spotkania umieszczamy w kolejnych wierszach, poszczeglne dane oddzielamy przecinkami.<br /><strong>Format:</strong> numer kolejki, nazwa druyny gospodarza, nazwa druyny gocia, bramki gospodarza, bramki gocia, data, godzina.<br />Pola bramek, daty i godziny s opcjonalne, wic moemy ich nie podawa. Nazwy druyn musz odpowiada tym, ktre wczeniej
wprowadzono do danej ligi. Dat podajemy w formacie <strong>yyyy-mm-dd</strong>,
a godzin w formacie <strong>hh:mm</strong>.<br />Przykad:<br />zakadajc e mamy w lidze druyny A, B, C, D i w pierwszej kolejce pady wyniki A-B 2:1 oraz C-D 2:3, a w drugiej mamy rewane, moemy zaimportowa mecze wpisujc w formularzu:<br />
1,A,B,2,1,2008-09-20,20:00<br />
1,C,D,2,3,2008-09-20,17:30<br />
2,B,A<br />
2,D,C</div>

<p>Jakie prawa posiada kady z uytkownikw?</p>
<div>W systemie znajdziemy trzy rodzaje uytkownikw:
superadmina, admina oraz zwykego uytkownika.
<ul>
	<li><strong>Superadmin</strong> posiada wszystkie moliwe prawa do wszystkich lig, a wic
	moe dodawa, edytowa i usuwa ligi, dodawa i usuwa uytkownikw i zmienia im przywileje.</li>
	<li><strong>Admin</strong> posiada wszystie prawa do wybranych lig (wskazanych przez superadmina i tych, ktre sam utworzy). Nie moe zarzdza uytkownikami.</li>
	<li><strong>Zwyky uytkownik</strong> posiada bardzo ograniczone
	moliwoci. Podobnie jak admin, ma dostp do wybranych lig, ale nie moe dokonywa na nich adnych operacji kasowania (nie moe usuwa lig, druyn, kolejek, meczy
	czy punktw ujemnych).</li>
</ul>
Naley mie na uwadze, e po nadaniu uprawnie superadmina, nie mona ich odebra (byoby niewaciwe, gdyby superadmini mieli moliwo degradowania siebie nawzajem).
</div>

<p>Do czego suy panel 'Zapisz tabele'?</p>
<div>Gwn funkcjonalnoci Tabelkownika jest tworzenie tabel, ktre jest moliwe po utworzeniu ligi i dodaniu do niej druyn i meczw. Tabele wywietla si wykorzystujc metody klasy Tabelkownik, jak jest to pokazane w pliku example.php. Metody te generuj tabele wykonujc w locie zapytania do bazy danych. Jeeli z jaki przyczyn (odcienie bazy danych, kopoty z integracj skryptu z uywanym cms) chcielibymy zapisa tabele w osobnych plikach, aby podczyc je nastepnie na wasnej stronie, mona w tym celu wykorzysta ten panel. Tabele zostan zapisane w katalogu tables skryptu.</div>

</div>
