SELECT 	d.nazwa_druzyna as Klub,
	 d.skrot as skrot,
	 d.small_emblem as small_emb,
	 d.big_emblem as big_emb,
	 d.id_druzyna as ID,
         SUM(IF((d.id_druzyna = m.gosp AND m.bramki_gosp IS NOT NULL) OR
                (d.id_druzyna = m.gosc AND m.bramki_gosc IS NOT NULL),1,0)) AS M,

         SUM(IF(m.bramki_gosp = m.bramki_gosc, 1, 0) +
             IF((d.id_druzyna = m.gosp AND m.bramki_gosp > m.bramki_gosc) OR
                (d.id_druzyna = m.gosc AND m.bramki_gosp < m.bramki_gosc), 1, 0)*3) - IFNULL(pu.punkty_ujemne,0) AS Punkty,

         SUM(IF((d.id_druzyna = m.gosp AND m.bramki_gosp > m.bramki_gosc) OR
                (d.id_druzyna = m.gosc AND m.bramki_gosp < m.bramki_gosc), 1, 0)) AS Z,

         SUM(IF(m.bramki_gosp = m.bramki_gosc, 1, 0)) AS R,

         SUM(IF((d.id_druzyna = m.gosp AND m.bramki_gosp < m.bramki_gosc) OR
                (d.id_druzyna = m.gosc AND m.bramki_gosp > m.bramki_gosc), 1, 0)) AS P,
         
         IFNULL(SUM(IF(d.id_druzyna = m.gosp,m.bramki_gosp,m.bramki_gosc)),0) AS BZ,
         IFNULL(SUM(IF(d.id_druzyna = m.gosp,m.bramki_gosc,m.bramki_gosp)),0) AS BS,

         IFNULL(SUM(IF(d.id_druzyna = m.gosp,m.bramki_gosp,m.bramki_gosc)) -
                SUM(IF(d.id_druzyna = m.gosp,m.bramki_gosc,m.bramki_gosp)),0) AS RB,

         SUM(IF(d.id_druzyna = m.gosp AND m.bramki_gosp IS NOT NULL,1,0)) AS MD,
         SUM(IF(d.id_druzyna = m.gosp AND m.bramki_gosp = m.bramki_gosc, 1, 0) +
             IF(d.id_druzyna = m.gosp AND m.bramki_gosp > m.bramki_gosc, 1, 0)*3) AS PktD,
         SUM(IF(d.id_druzyna = m.gosp AND m.bramki_gosp > m.bramki_gosc, 1, 0)) AS ZD,
         SUM(IF(d.id_druzyna = m.gosp AND m.bramki_gosp = m.bramki_gosc, 1, 0)) AS RD,
         SUM(IF(d.id_druzyna = m.gosp AND m.bramki_gosp < m.bramki_gosc, 1, 0)) AS PD,
         IFNULL(SUM(IF(d.id_druzyna = m.gosp,m.bramki_gosp,0)),0) AS BZD,
         IFNULL(SUM(IF(d.id_druzyna = m.gosp,m.bramki_gosc,0)),0) AS BSD,
         IFNULL(SUM(IF(d.id_druzyna = m.gosp,m.bramki_gosp,0)) -
                SUM(IF(d.id_druzyna = m.gosp,m.bramki_gosc,0)),0) AS RBD,

         SUM(IF(d.id_druzyna = m.gosc AND m.bramki_gosc IS NOT NULL,1,0)) AS MW,
         SUM(IF(d.id_druzyna = m.gosc AND m.bramki_gosp = m.bramki_gosc, 1, 0) +
             IF(d.id_druzyna = m.gosc AND m.bramki_gosp < m.bramki_gosc, 1, 0)*3) AS PktW,
         SUM(IF(d.id_druzyna = m.gosc AND m.bramki_gosp < m.bramki_gosc, 1, 0)) AS ZW,
         SUM(IF(d.id_druzyna = m.gosc AND m.bramki_gosp = m.bramki_gosc, 1, 0)) AS RW,
         SUM(IF(d.id_druzyna = m.gosc AND m.bramki_gosp > m.bramki_gosc, 1, 0)) AS PW,
         IFNULL(SUM(IF(d.id_druzyna = m.gosc,m.bramki_gosc,0)),0) AS BZW,
         IFNULL(SUM(IF(d.id_druzyna = m.gosc,m.bramki_gosp,0)),0) AS BSW,
         IFNULL(SUM(IF(d.id_druzyna = m.gosc,m.bramki_gosc,0)) -
                SUM(IF(d.id_druzyna = m.gosc,m.bramki_gosp,0)),0) AS RBW

         FROM {prefix}druzyna d LEFT JOIN {prefix}punkty_ujemne pu USING (id_druzyna), {prefix}mecz m
         WHERE (d.id_druzyna = m.gosp OR d.id_druzyna = m.gosc) AND m.id_liga = {liga_index}
		AND m.nr_kolejki <= {kolejka}
         GROUP BY d.nazwa_druzyna
         ORDER BY Punkty DESC, RB DESC, BZ DESC, Klub ASC
