<?php
if($_SESSION['access'])
{
	//zmienne
	$saveleague = intval($_POST['savetable_league']);
	$saveMediumTable = $_POST['savetable_medium'];
	$saveBigTable = $_POST['savetable_big'];
	$saveSmallTable = $_POST['savetable_small'];
	$saveFixtures = $_POST['savetable_fixtures'];
	$saveCrossTable = $_POST['savetable_cross'];
	$saveSeriesTable = $_POST['savetable_series'];
	$saveFixtSlides = $_POST['savetable_fixt_slides'];	
	//dla wszystkich tabel
	$saveAllTables = intval($_POST['save_all_tables']);
	
	echo "<h4>Zapisywanie tabel do plikw</h4>\n";
	
	if($saveleague > 0){
		//pobranie nazwy wybranej ligi
		$q = "SELECT nazwa_liga
		FROM {$prefix}liga
		WHERE id_liga=$saveleague";
		$saveleaguename = $db->getValue($q);
		
		$saver = array();
		if($saveMediumTable) {$saver[] = array('_medium','displayTable',array($saveleague,1));}
		if($saveBigTable) {$saver[] = array('_big','displayTable',array($saveleague,2));}
		if($saveSmallTable) {$saver[] = array('_small','displayTable',array($saveleague,3));}
		if($saveFixtures) {$saver[] = array('_fixtures','displayFixtures',array($saveleague));}
		if($saveCrossTable) {$saver[] = array('_crosstable','displayCrossTable',array($saveleague));}
		if($saveSeriesTable) {$saver[] = array('_seriestable','displaySeriesTable',array($saveleague));}
		if($saveFixtSlides) {$saver[] = array('_fixt_slides','displayAllFixtures',array($saveleague,true));}
		
		foreach($saver as $s){
			$tbk->saveToFile($saveleaguename.$s[0], $s[1], $s[2]);
		}
		$html->p('Tabele zapisane do plikw w katalogu /tables','info');		
	}
	
	//pobranie lig z bazy danych do selecta
	if($_SESSION['superadmin_priv']){
		$q = "SELECT id_liga as 'Id ligi', nazwa_liga as 'Nazwa ligi'
		FROM {$prefix}liga
		ORDER BY id_liga";
	} else {
		$q = "SELECT l.id_liga as 'Id ligi', l.nazwa_liga as 'Nazwa ligi'
		FROM {$prefix}liga l, {$prefix}users_privs up
		WHERE l.id_liga=up.owner_id_liga
		AND up.username='{$_SESSION['username']}'
		ORDER BY l.id_liga";
	}
	$ligi = $db->getDataToArray($q);
	
	//zapisywanie wszystkich lig
	if($saveAllTables > 0){
		for($i=0; $i < count($ligi); $i++){
			$l_id = $ligi[$i]['Id ligi'];
			$l_name = $ligi[$i]['Nazwa ligi'];
		
			$saver = array(
			array('_medium','displayTable',array($l_id,1)),
			array('_big','displayTable',array($l_id,2)),
			array('_small','displayTable',array($l_id,3)),
			array('_fixtures','displayFixtures',array($l_id)),
			array('_crosstable','displayCrossTable',array($l_id)),
			array('_seriestable','displaySeriesTable',array($l_id)),
			array('_fixt_slides','displayAllFixtures',array($l_id,true))
			);
			
			foreach($saver as $s){
				$tbk->saveToFile($l_name.$s[0], $s[1], $s[2]);
			}
		}
		$html->p('Tabele zapisane do plikw w katalogu /tables','info');		
	}
	
	//generuje form do zapisania tabel do plikow
	$html->saveTablesToFileForm($url,$ligi);
	//generuje form do zapisania wszystkich tabel do plikow
	$html->saveAllTablesToFileForm($url);
}
?>